Listar alunos da área
curl --request GET \
--url https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"picture": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>"
},
"access_plan": {
"name": "<string>",
"duration_days": 123
},
"status": "active",
"granted_by_type": "purchase",
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"block_reason": "<string>",
"last_access_at": "2023-11-07T05:31:56Z"
}
]
}
Alunos
Listar alunos da área
As matrículas da área, com o aluno, o plano de acesso e o status (active, blocked, expired).
GET
/
public_api
/
members
/
areas
/
{member_area_id}
/
enrollments
/
Listar alunos da área
curl --request GET \
--url https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/members/areas/{member_area_id}/enrollments/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"picture": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>"
},
"access_plan": {
"name": "<string>",
"duration_days": 123
},
"status": "active",
"granted_by_type": "purchase",
"starts_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"blocked_at": "2023-11-07T05:31:56Z",
"block_reason": "<string>",
"last_access_at": "2023-11-07T05:31:56Z"
}
]
}
Escopo
read members
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Query Parameters
Was this page helpful?